@echo on
set "CONDA_BUILD=1"
set "PYTHONNOUSERSITE=1"
set "CONDA_DEFAULT_ENV=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env"
set "ARCH=64"
set "PREFIX=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env"
set "BUILD_PREFIX=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env"
set "SYS_PREFIX=C:\Users\builder\m64"
set "SYS_PYTHON=C:\Users\builder\m64\python.exe"
set "SUBDIR=win-64"
set "SRC_DIR=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\work"
set "ROOT=C:\Users\builder\m64"
set "CONDA_PY=36"
set "PY3K=1"
set "PY_VER=3.6"
set "STDLIB_DIR=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Lib"
set "SP_DIR=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Lib\site-packages"
set "NPY_VER=1.11"
set "CONDA_NPY=1.11"
set "PERL_VER=5.26"
set "CONDA_PERL=5.26.0"
set "LUA_VER=5"
set "CONDA_LUA=5"
set "R_VER=3.4.3"
set "CONDA_R=3.4.3"
set "R=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Scripts\R.exe"
set "PKG_NAME=r-coin"
set "PKG_VERSION=1.2_2"
set "PKG_BUILDNUM=0"
set "PKG_BUILD_STRING=placeholder"
set "PKG_HASH=1234567"
set "RECIPE_DIR=C:\Users\builder\conda\aggregateMRO\r-coin-feedstock\recipe"
set "CPU_COUNT=16"
set "LANG=en_US.UTF-8"
set "SHLIB_EXT=.dll"
set "PATH=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\mingw-w64\bin;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\usr\bin;;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\bin;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Scripts;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Scripts;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env\Library\mingw-w64\bin;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env\Library\usr\bin;;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env\Library\bin;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env\Scripts;C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env\Scripts;C:\Users\builder\m64;C:\Users\builder\m64\Library\mingw-w64\bin;C:\Users\builder\m64\Library\usr\bin;C:\Users\builder\m64\Library\bin;C:\Users\builder\m64\Scripts;C:\Users\builder\conda\apache-ant-1.9.9\bin;C:\msys32\usr\local\bin;C:\msys32\usr\bin;C:\msys32\usr\bin;C:\msys32\opt\bin;C:\Program Files (x86)\IntelSWTools\compilers_and_libraries_2017.4.210\windows\mpi\intel64\bin;C:\Program Files (x86)\Common Files\Intel\Shared Libraries\redist\intel64_win\mpirt;C:\Program Files (x86)\Common Files\Intel\Shared Libraries\redist\ia32_win\mpirt;C:\Program Files (x86)\Common Files\Intel\Shared Libraries\redist\intel64_win\compiler;C:\Program Files (x86)\Common Files\Intel\Shared Libraries\redist\ia32_win\compiler;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0;C:\Program Files (x86)\PuTTY;C:\Users\builder\AppData\Local\Microsoft\WindowsApps;C:\msys32\usr\bin\site_perl;C:\msys32\usr\bin\vendor_perl;C:\msys32\usr\bin\core_perl"
set "SCRIPTS=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Scripts"
set "LIBRARY_PREFIX=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library"
set "LIBRARY_BIN=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\bin"
set "LIBRARY_INC=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\include"
set "LIBRARY_LIB=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\lib"
set "CYGWIN_PREFIX=/cygdrive/c/Users/builder/m64/conda-bld/r-coin_1519679358248/_h_env"
set "ALLUSERSPROFILE=C:\ProgramData"
set "APPDATA=C:\Users\builder\AppData\Roaming"
set "CommonProgramFiles=C:\Program Files\Common Files"
set "CommonProgramFiles(x86)=C:\Program Files (x86)\Common Files"
set "CommonProgramW6432=C:\Program Files\Common Files"
set "COMPUTERNAME=WIN10X64VS-02"
set "ComSpec=C:\WINDOWS\system32\cmd.exe"
set "HOMEDRIVE=C:"
set "HOMEPATH=\Users\builder"
set "LOCALAPPDATA=C:\Users\builder\AppData\Local"
set "LOGONSERVER=\\WIN10X64VS-02"
set "NUMBER_OF_PROCESSORS=16"
set "PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC"
set "ProgramData=C:\ProgramData"
set "ProgramFiles=C:\Program Files"
set "ProgramFiles(x86)=C:\Program Files (x86)"
set "ProgramW6432=C:\Program Files"
set "PSModulePath=C:\Program Files\WindowsPowerShell\Modules;C:\WINDOWS\system32\WindowsPowerShell\v1.0\Modules"
set "PUBLIC=C:\Users\Public"
set "SystemDrive=C:"
set "SystemRoot=C:\WINDOWS"
set "TEMP=C:\Users\builder\AppData\Local\Temp"
set "TMP=C:\Users\builder\AppData\Local\Temp"
set "USERDOMAIN=WIN10X64VS-02"
set "USERNAME=builder"
set "USERPROFILE=C:\Users\builder"
set "windir=C:\WINDOWS"
set "PROCESSOR_ARCHITECTURE=AMD64"
set "PROCESSOR_IDENTIFIER=Intel64 Family 6 Model 79 Stepping 1, GenuineIntel"
set "BUILD=amd64-pc-windows-19.0.0"
set "VS100COMNTOOLS=C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\Tools\"
set "VS140COMNTOOLS=C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\Tools\"
set "VS90COMNTOOLS=c:\Program Files (x86)\Microsoft Visual Studio 9.0\Common7\Tools\"
set "r_base=3.4.3"
set "cpu_optimization_target=nocona"
set "target_platform=win-64"
set "c_compiler=vs2015"
set "cxx_compiler=vs2015"
set "fortran_compiler=gfortran"
set "vc=14"
set "cran_mirror=https://mran.microsoft.com/snapshot/2018-01-01"
set "pin_run_as_build={'python': {'min_pin': 'x.x', 'max_pin': 'x.x'}, 'r-base': {'min_pin': 'x.x.x', 'max_pin': 'x.x.x'}}"
set "ignore_build_only_deps=['python']"
set "CONDA_BUILD_STATE=BUILD"
set DISTUTILS_USE_SDK=1
set MSSdk=1
set PY_VCRUNTIME_REDIST=%LIBRARY_BIN%\vcruntime140.dll
set "VS_VERSION=14.0"
set "VS_MAJOR=14"
set "VS_YEAR=2015"
set "CMAKE_GENERATOR=Visual Studio 14 2015 Win64"
set "MSYS2_ARG_CONV_EXCL=/AI;/AL;/OUT;/out"
set "MSYS2_ENV_CONV_EXCL=CL"
call "C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\Tools\..\..\VC\vcvarsall.bat" amd64
@echo on
set "INCLUDE=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\include;%INCLUDE%"
set "LIB=C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env\Library\lib;%LIB%"
call "C:\Users\builder\m64\Scripts\activate.bat" "C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_h_env"
set "PATH=%PATH:CONDA_PATH_PLACEHOLDER;=%"
set CONDA_MAX_SHLVL=2
call "C:\Users\builder\m64\Scripts\activate.bat" "C:\Users\builder\m64\conda-bld\r-coin_1519679358248\_build_env"
REM ===== end generated header =====
if "%target_platform%" == "win-64" goto skip_source_build
"%R%" CMD INSTALL --build .
IF %ERRORLEVEL% NEQ 0 exit 1
exit 0
:skip_source_build
mkdir %PREFIX%\lib\R\library
robocopy /E . "%PREFIX%\lib\R\library\coin"
if %ERRORLEVEL% NEQ 1 exit 1
exit 0
